[DEFAULT]
tags = devtools
subsuite = devtools
skip-if =
  os == 'linux' && debug && bits == 32
  asan # Frequent failures when opening tabs due to OOM issues, bug 1760260
support-files =
  examples/*
  integration-tests/*
  head.js
  shared-head.js
  !/devtools/client/framework/browser-toolbox/test/helpers-browser-toolbox.js
  !/devtools/client/inspector/test/head.js
  !/devtools/client/inspector/test/shared-head.js
  !/devtools/client/shared/test/shared-head.js
  !/devtools/client/shared/test/telemetry-test-helpers.js
  !/devtools/client/shared/test/highlighter-test-actor.js
  !/devtools/client/webconsole/test/browser/shared-head.js
prefs =
  # Disable randomly spawning processes during tests.
  # After enabling windowless service workers, a process spawning
  # will trigger an update of the service workers list which can
  # fail the test if it occurs during shutdown (unhandled promise
  # rejection).
  dom.ipc.processPrelaunch.enabled=false
  # This pref has to be set before the process starts
  devtools.debugger.features.javascript-tracing=true

# Integration tests:
[browser_dbg-integration-reloading-compressed-sourcemaps.js]
[browser_dbg-integration-reloading-uncompressed-sourcemaps.js]

# Feature tests:
[browser_dbg-features-asm.js]
[browser_dbg-features-breakable-lines.js]
[browser_dbg-features-breakable-positions.js]
skip-if =
  win11_2009 # Bug 1798331
[browser_dbg-features-breakpoints.js]
[browser_dbg-features-source-tree.js]
[browser_dbg-features-browser-toolbox-source-tree.js]
skip-if =
  asan # Bug 1591064
  win10_2004 # Bug 1767702
  win11_2009 # Bug 1798331
[browser_dbg-features-source-text-content.js]
[browser_dbg-features-tabs.js]
[browser_dbg-features-wasm.js]

# Other tests:
[browser_dbg-asyncstacks.js]
[browser_dbg-audiocontext.js]
[browser_dbg-async-stepping.js]
[browser_dbg-sourcemapped-breakpoint-console.js]
skip-if = (os == "win" && ccov) # Bug 1453549
[browser_dbg-xhr-breakpoints.js]
[browser_dbg-xhr-run-to-completion.js]
[browser_dbg-scroll-run-to-completion.js]
[browser_dbg-source-pragma.js]
[browser_dbg-sourcemapped-scopes.js]
# Bug 1441545, 1536253 - very slow on debug
skip-if = ccov || debug || tsan || (verify && debug && (os == 'linux'))
[browser_dbg-sourcemapped-stepping.js]
skip-if = true # original stepping is currently disabled
[browser_dbg-sourcemapped-toggle.js]
[browser_dbg-sourcemapped-preview.js]
skip-if = os == "win" # Bug 1448523, Bug 1448450
[browser_dbg-breaking.js]
[browser_dbg-breaking-from-console.js]
skip-if = debug # Window leaks: bug 1575332
[browser_dbg-breakpoints.js]
[browser_dbg-breakpoints-actions.js]
[browser_dbg-breakpoints-columns.js]
[browser_dbg-breakpoints-cond-ui-state.js]
[browser_dbg-breakpoints-cond-functional.js]
[browser_dbg-breakpoints-cond-shortcut.js]
[browser_dbg-breakpoints-cond-source-maps.js]
[browser_dbg-breakpoints-debugger-statement.js]
[browser_dbg-breakpoints-duplicate-functions.js]
[browser_dbg-breakpoints-in-evaled-sources.js]
[browser_dbg-breakpoints-list.js]
[browser_dbg-breakpoints-popup.js]
skip-if =
  (os == 'linux' && debug) || tsan # Bug 1750199
  apple_catalina && !debug # Bug 1767705
[browser_dbg-continue-to-here.js]
[browser_dbg-continue-to-here-click.js]
skip-if = os == "win"
[browser_dbg-breakpoints-reloading-with-source-changes.js]
[browser_dbg-breakpoints-reloading.js]
[browser_dbg-breakpoints-same-file-per-target.js]
[browser_dbg-breakpoints-scroll-to-log.js]
[browser_dbg-breakpoints-sourcemap-with-sections.js]
[browser_dbg-breakpoint-skipping.js]
[browser_dbg-breakpoint-skipping-console.js]
[browser_dbg-call-stack.js]
[browser_dbg-dom-mutation-breakpoints-fission.js]
[browser_dbg-dom-mutation-breakpoints.js]
[browser_dbg-scopes.js]
[browser_dbg-backgroundtask-debugging.js]
skip-if =
  asan # Bug 1591064
[browser_dbg-chrome-create.js]
skip-if = (verify && !debug && (os == 'linux'))
[browser_dbg-console.js]
[browser_dbg-console-async.js]
[browser_dbg-console-eval.js]
[browser_dbg-console-link.js]
[browser_dbg-console-map-bindings.js]
[browser_dbg-content-script-sources.js]
skip-if = (os == "win" && ccov) # Bug 1424154
[browser_dbg-debug-line.js]
[browser_dbg-debugger-buttons.js]
[browser_dbg-editor-gutter.js]
[browser_dbg-eager-eval-skip-pause.js]
[browser_dbg-editor-exception.js]
[browser_dbg-editor-mode.js]
[browser_dbg-editor-scroll.js]
[browser_dbg-editor-select.js]
[browser_dbg-editor-highlight.js]
[browser_dbg-ember-quickstart.js]
skip-if = debug # Window leaks: bug 1575332
[browser_dbg-expressions.js]
[browser_dbg-expressions-error.js]
[browser_dbg-expressions-focus.js]
[browser_dbg-expressions-thread.js]
skip-if = !fission # threads panel only shows remote frame when fission is enabled.
[browser_dbg-expressions-watch.js]
[browser_dbg-extension-inspectedWindow-debugger-statement.js]
[browser_dbg-fission-frame-breakpoint.js]
[browser_dbg-fission-frame-pause-exceptions.js]
[browser_dbg-fission-frame-sources.js]
[browser_dbg-fission-project-search.js]
[browser_dbg-fission-switch-target.js]
[browser_dbg-go-to-line.js]
[browser_dbg-html-breakpoints.js]
skip-if = (os == 'linux' && debug) || tsan # Bug 1802862
[browser_dbg-iframes.js]
[browser_dbg-inline-cache.js]
skip-if = ccov && os == 'win' # Bug 1443132
[browser_dbg-inline-preview.js]
skip-if = true # bug 1607636
[browser_dbg-inline-exceptions.js]
[browser_dbg-inspector-integration.js]
skip-if = true # Bug 1804489
[browser_dbg-keyboard-navigation.js]
[browser_dbg-keyboard-shortcuts-modal.js]
[browser_dbg-keyboard-shortcuts.js]
[browser_dbg-layout-changes.js]
[browser_dbg-link-reload.js]
skip-if =
  os == 'linux' && asan # Bug 1715866
  os == 'win' && bits == 64 # Bug 1715866
[browser_dbg-overrides.js]
[browser_dbg-log-events.js]
[browser_dbg-log-point-mapping.js]
[browser_dbg-log-points.js]
[browser_dbg-log-points-workers.js]
[browser_dbg-outline.js]
[browser_dbg-outline-focus.js]
skip-if = verify
[browser_dbg-outline-pretty.js]
[browser_dbg-outline-filter.js]
[browser_dbg-pause-exceptions.js]
skip-if = !debug && (os == "win" && os_version == "6.1") # Bug 1456441
[browser_dbg-pause-on-next.js]
[browser_dbg-pause-ux.js]
skip-if = os == "win"
[browser_dbg-paused-overlay-iframe.js]
[browser_dbg-paused-overlay-loading.js]
[browser_dbg-paused-overlay.js]
[browser_dbg-navigation-when-paused.js]
[browser_dbg-navigation.js]
skip-if = (verify && debug && (os == 'mac')) || (os == 'linux' && debug && bits == 64) || (os == 'mac' && debug) # Bug 1307249
[browser_dbg-no-duplicate-breakpoints-on-frame-reload.js]
[browser_dbg-minified.js]
[browser_dbg-pretty-print.js]
[browser_dbg-pretty-print-breakpoints-columns.js]
[browser_dbg-pretty-print-breakpoints-delete.js]
[browser_dbg-pretty-print-breakpoints.js]
[browser_dbg-pretty-print-console.js]
[browser_dbg-pretty-print-inline-scripts.js]
[browser_dbg-pretty-print-paused.js]
[browser_dbg-pretty-print-sourcemap.js]
[browser_dbg-pretty-print-paused-anonymous.js]
[browser_dbg-pretty-print-flow.js]
[browser_dbg-preview-getter.js]
[browser_dbg-preview.js]
skip-if =
  os == "win"
  os == "linux"
  os == "mac" && !debug
[browser_dbg-preview-frame.js]
skip-if = os == "win"
[browser_dbg-preview-module.js]
skip-if = os == "win"
[browser_dbg-preview-source-maps.js]
skip-if = os == "win"
[browser_dbg-react-jsx.js]
[browser_dbg-returnvalues.js]
[browser_dbg-reloading.js]
skip-if = true
[browser_dbg-pause-points.js]
[browser_dbg-scopes-mutations.js]
[browser_dbg-search-file-retains-query.js]
skip-if = os == "win" # Bug 1393121
[browser_dbg-search-file.js]
skip-if = os == "win" # Bug 1393121
[browser_dbg-search-file-paused.js]
skip-if = os == "win" # Bug 1393121
[browser_dbg-quick-open.js]
skip-if =
  os == "win"
  os == 'linux' && bits == 64 && debug # Bug 1721999
[browser_dbg-blackbox-all.js]
[browser_dbg-blackbox-original.js]
[browser_dbg-blackbox.js]
[browser_dbg-state-based-panels.js]
[browser_dbg-sourcemaps.js]
[browser_dbg-sourcemaps-breakpoints.js]
[browser_dbg-sourcemaps-disabled.js]
[browser_dbg-sourcemaps-ignorelist.js]
[browser_dbg-sourcemaps-indexed.js]
skip-if = os == "win" || (verify) # Bug 1434792
[browser_dbg-sourcemaps-redirect.js]
[browser_dbg-sourcemaps-reloading.js]
[browser_dbg-sourcemaps-reloading-quickly.js]
[browser_dbg-sourcemaps2.js]
[browser_dbg-sourcemaps3.js]
[browser_dbg-sourcemaps-bogus.js]
skip-if = os == 'linux' && !asan # bug 1447118
[browser_dbg-stepping.js]
skip-if = debug || (verify && (os == 'win')) || (os == "win" && os_version == "6.1")
[browser_dbg-step-in-uninitialized.js]
[browser_dbg-tabs.js]
[browser_dbg-tabs-keyboard.js]
skip-if = os == "win"
[browser_dbg-tabs-pretty-print.js]
[browser_dbg-tabs-without-urls.js]
[browser_dbg-tabs-without-urls-selected.js]
[browser_dbg-toggling-tools.js]
[browser_dbg-react-app.js]
skip-if =
  os == "win"
  os == "linux" && tsan # Bug 1813196
[browser_dbg-windowless-workers.js]
[browser_dbg-windowless-workers-early-breakpoint.js]
[browser_dbg-worker-exception.js]
[browser_dbg-windowless-service-workers-reload.js]
skip-if = !serviceworker_e10s # parent intercept mode required.
[browser_dbg-windowless-service-workers.js]
skip-if =
  !serviceworker_e10s # parent intercept mode is needed bug 1588154. Bug 1613543, the test consistently timeouts on Linux coverage builds and WR debug builds.
  (os == 'linux' && (ccov || (!swgl && debug)))
  os == "linux" && bits == 64 && debug # Bug 1732486
[browser_dbg-worker-scopes.js]
[browser_dbg-event-handler.js]
[browser_dbg-event-breakpoints-fission.js]
[browser_dbg-event-breakpoints.js]
[browser_dbg-eval-throw.js]
[browser_dbg-sourceURL-breakpoint.js]
[browser_dbg-old-breakpoint.js]
skip-if = os == "linux" || os == "mac" #Bug 1644044
[browser_dbg-idb-run-to-completion.js]
[browser_dbg-inline-script-offset.js]
[browser_dbg-scopes-duplicated.js]
[browser_dbg-scopes-xrays.js]
[browser_dbg-merge-scopes.js]
[browser_dbg-message-run-to-completion.js]
[browser_dbg-remember-expanded-scopes.js]
[browser_dbg-bfcache.js]
[browser_dbg-gc-breakpoint-positions.js]
[browser_dbg-gc-sources.js]
[browser_dbg-watchpoints.js]
skip-if = true # Bug 1814093
[browser_dbg-browser-toolbox-unselected-pause.js]
skip-if =
  asan # Bug 1591064
  os == "win" && fission && debug # intermittent on fission, Bug 1720165 - test timed out
[browser_dbg-browser-toolbox-workers.js]
skip-if = asan || !nightly_build || fission # Bug 1591064, parent intercept mode is needed bug 1588154, Disable frequent fission intermittents Bug 1675020
[browser_dbg-wrong-fetch.js]
[browser_dbg-worker-module.js]
[browser_dbg-worker-nested.js]
[browser_dbg-step-in-navigate.js]
[browser_dbg-settings-disable-javascript.js]
[browser_dbg-restart-frame.js]
[browser_dbg-many-breakpoints-same-line.js]
[browser_dbg-unselected-pause.js]
[browser_dbg-slow-script.js]
[browser_dbg-project-root.js]
[browser_dbg-project-search.js]
[browser_dbg-sources-project-search.js]
[browser_dbg-javascript-tracer.js]
[browser_dbg-es-module-worker.js]
[browser_dbg-ua-widgets.js]
[browser_dbg-custom-formatters.js]
[browser_dbg-reducer-cleanup-on-target-removal.js]
skip-if =
  os == "linux" && (debug || tsan) # Bug 1835255
